Bug 1053019 - Submenu is displayed off the screen in right to left mode
Summary: Submenu is displayed off the screen in right to left mode
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal
Version: 6.1.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER01
: 6.2.0
Assignee: Lucas Ponce
QA Contact: Tomas Kyjovsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-14 15:21 UTC by Filip Kiss
Modified: 2017-12-08 15:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An issue with the logic that displayed portal menus in right-to-left (RTL) mode caused the Site menu to display incorrectly on Android tablet devices running API 18 (4.3) and API 16 (4.1.2). The fix implements a logic change to display the Site menu correctly on devices running these API levels, which corrects the originally reported issue.
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
submenu is displayed off the screen (248.73 KB, image/png)
2014-01-14 15:22 UTC, Filip Kiss
no flags Details
Screenshot Tablet android 3.2 (217.71 KB, image/png)
2014-01-17 15:59 UTC, Lucas Ponce
no flags Details
Screenshot Tablet android 3.2 - landscape (253.32 KB, image/png)
2014-01-17 16:12 UTC, Lucas Ponce
no flags Details
Screenshot Tablet android 3.2 - landscape - workaround 2nd click (249.56 KB, image/png)
2014-01-17 16:19 UTC, Lucas Ponce
no flags Details
Android Tablet 4.1.2 with 1024px resolution (169.95 KB, image/png)
2014-02-10 21:50 UTC, Lucas Ponce
no flags Details
Android Tablet 4.1.2 with 1280px resolution (229.85 KB, image/png)
2014-02-10 21:51 UTC, Lucas Ponce
no flags Details
Patch for dropdownmenu.jquery.js (1.01 KB, patch)
2014-02-11 13:43 UTC, Lucas Ponce
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker GTNPORTAL-3374 0 Minor Resolved Submenu is displayed off the screen in right to left mode 2016-10-22 06:21:01 UTC

Description Filip Kiss 2014-01-14 15:21:20 UTC
Description of problem:
On tablet devices there is menu displayed off the screen when you are in Right to left mode. Go to /portal/mobile/home and click: Group pages -> User pages -> My link -> submenu is displayed off the screen. This only happens in landscape mode. See attached screenshot.

Additional info:
Tested on Android 3.2 tablet and 4.1.2 tablet. Phones worked fine.

Comment 1 Filip Kiss 2014-01-14 15:22:01 UTC
Created attachment 850004 [details]
submenu is displayed off the screen

Comment 3 Lucas Ponce 2014-01-17 15:59:27 UTC
Created attachment 851681 [details]
Screenshot Tablet android 3.2

Hi,

I'm using Android SDK emulator for an Android 3.2 Tablet and I cannot reproduce issue.

I'm using ER1 from this link:

http://download.devel.redhat.com/brewroot/work/tasks/4484/6864484/org/gatein/portal/exo.portal.packaging.jboss7.pkg/3.6.3.Final-redhat-4/exo.portal.packaging.jboss7.pkg-3.6.3.Final-redhat-4.zip

Please, can you validate with this one ?

Also, may be this bug is related with device screen, I'm using standard 1280x800, please, could you put the configuration used for test ? 

Thanks,
Lucas

Comment 4 Lucas Ponce 2014-01-17 16:12:17 UTC
Created attachment 851685 [details]
Screenshot Tablet android 3.2 - landscape

Sorry for my previous comment.

I can reproduce it for 3.2 at landscape.

Analyzing workaround.

Thanks,
Lucas

Comment 5 Lucas Ponce 2014-01-17 16:19:14 UTC
Created attachment 851697 [details]
Screenshot Tablet android 3.2 - landscape - workaround 2nd click

After 2nd click on link in the same tablet seems bug is not longer affecting.

It looks like that DOM screen width is not properly refresed when rotating.

I will study if this is something we can fix or it's related emulator.

Comment 6 Lucas Ponce 2014-01-20 17:25:38 UTC
Finally I've found bug in the AJAX call. 

Patch sent.

Comment 8 Filip Kiss 2014-02-10 17:44:31 UTC
Works for Android 3.2 in CR01.

In 4.1.2. tablet landscape and RTL mode when you go to Group pages -> User pages -> My link -> menu disappears. Tested on 4.1.2 android emulator and also on real device.

Comment 9 Lucas Ponce 2014-02-10 21:50:39 UTC
Created attachment 861580 [details]
Android Tablet 4.1.2 with 1024px resolution

Comment 10 Lucas Ponce 2014-02-10 21:51:50 UTC
Created attachment 861581 [details]
Android Tablet 4.1.2 with 1280px resolution

Comment 11 Lucas Ponce 2014-02-10 21:57:26 UTC
This bug depends also of the device resolution.

It has been tested with Android 4.1.2 tablet emulators:

- Resolution 1024px, Bug doesn't appear in the menu.
- Resolution 1280px, Bug appears and menu is not shown as expected.

Comment 13 Lucas Ponce 2014-02-11 13:43:47 UTC
Created attachment 861788 [details]
Patch for dropdownmenu.jquery.js

Comment 14 Lucas Ponce 2014-02-11 13:49:58 UTC
Bug affects to API 18 and API 16 android Tablets with resolution greater than 1024px.

(Bug doesn't affect to last devices based on API 19).

Patch will be commited into 6.2 but workaround is available for 6.1.1.

Comment 15 JBoss JIRA Server 2014-02-13 17:35:22 UTC
Lucas Ponce <ponce.ballesteros@gmail.com> updated the status of jira GTNPORTAL-3374 to Reopened

Comment 16 Peter Palaga 2014-04-04 21:55:50 UTC
Target milestone was the meaningless CR01. Changing to ER1 to make sure that this issue gets QA'd properly.

Comment 17 PnT Account Manager 2017-12-08 15:06:08 UTC
Employee 'fkiss@redhat.com' has left the company.


Note You need to log in before you can comment on or make changes to this bug.